Skip to content
ComPDF

Usage Monitoring

How to Monitor API Usage

You can monitor API usage in the following ways:

Console Usage Statistics

Log in to the ComPDF AI Console and go to the "Usage Statistics" page to view:

  • Daily/monthly call volume
  • Daily/monthly page consumption
  • API usage distribution

Query Asset Info via API

Use the Get Asset Info endpoint to query the current user's remaining asset information, including available and pending balances for different asset types.

bash
curl --location --request GET 'https://api-server.compdf.com/server/v2/asset-info' \
  --header 'x-api-key: <your-public-key>'

Response example:

json
{
  "code": "200",
  "msg": "success",
  "data": {
    "assetItems": [
      {
        "assetType": "PARSING_PAGE_COUNT",
        "name": "Document Parsing Pages",
        "availableBalance": 5000,
        "pendingBalance": 100
      },
      {
        "assetType": "EXTRACT_PAGE_COUNT",
        "name": "Document Extraction Pages",
        "availableBalance": 3000,
        "pendingBalance": 50
      }
    ]
  }
}